## pylint 2.15.10

=== doc/requirements.txt ===
Sphinx==5.1.1
sphinx-reredirects<1
myst-parser~=0.18
towncrier~=21.9
furo==2022.6.21
-e .
