=== doc/requirements.txt ===
Sphinx==5.3.0
sphinx-reredirects<1
myst-parser~=0.18
towncrier~=22.12
furo==2022.12.7
-e .
