=== debian/changelog ===
pylint (2.16.2-2) unstable; urgency=medium

  * debian/rules
    - reorg how we skip tests, removing the ones now fixed
  * debian/control
    - bump b-d on astroid to >= 2.14.2; Closes: #1032043

 -- Sandro Tosi <morph@debian.org>  Tue, 28 Feb 2023 01:04:13 -0500

pylint (2.16.2-1) unstable; urgency=medium

  * New upstream release
  * debian/rules
    - tests: only limit to tests/ directory for discovery
    - tests: skip test_allow_reexport_package, test_writing_minimal_file
  * debian/patches/PR7521.patch
    - drop patch, merged upstream
  * stop installing emacs script, removed upstream; Closes: #563000, #613646,
    #860983

 -- Sandro Tosi <morph@debian.org>  Sat, 25 Feb 2023 20:58:26 -0500
