=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 13),
                pybuild-plugin-pyproject,
                python3-all,
-               python3-astroid (>= 2.12.13),
+               python3-astroid (>= 2.14.2),
                python3-dill (>= 0.3.6),
                python3-docs-theme,
                python3-git <!nodoc>,
