=== debian/changelog ===
pylint (2.17.4-1) unstable; urgency=medium

  * New upstream release; Closes: #1038258
  * debian/control
    - bump b-d on astroid to >= 2.15.4

 -- Sandro Tosi <morph@debian.org>  Wed, 26 Jul 2023 03:19:25 -0400
