=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,16 @@
 #export DH_VERBOSE=1
 
 export PYBUILD_BEFORE_TEST=rm -f {dir}/tests/functional/u/unused_typing_imports.py {dir}/tests/functional/m/missing_final_newline.py
-# disable until https://github.com/PyCQA/pylint/issues/5246 is fixed
 # skip test_linter_with_unpickleable_plugins_is_pickleable, fails autopkgtest for some reason
-export PYBUILD_TEST_ARGS=-vvvv -k 'not test_pkginfo and not test_do_not_import_files_from_local_directory and not test_import_plugin_from_local_directory_if_pythonpath_cwd and not test_can_list_directories_without_dunder_init and not test_fail_on_exit_code and not test__test_environ_pythonpath_no_arg and not test_linter_with_unpickleable_plugins_is_pickleable'
+# skip test_allow_reexport_package test_writing_minimal_file, for https://github.com/PyCQA/pylint/issues/8342
+export PYBUILD_TEST_ARGS=-vvvv \
+                         -k '\
+                             not test_do_not_import_files_from_local_directory \
+                         and not test_linter_with_unpickleable_plugins_is_pickleable \
+                         and not test_allow_reexport_package \
+                         and not test_writing_minimal_file \
+                         ' \
+                         {build_dir}/tests
 export PYBUILD_AFTER_TEST=rm -rf {dir}/.pytest_cache
 export PYBUILD_BEFORE_INSTALL=rm -rf {build_dir}/classes.dot
