=== doc/requirements.txt ===
Sphinx==7.2.6
sphinx-reredirects<1
towncrier~=23.6
furo==2023.9.10
-e .
