=== debian/changelog ===
pylint (3.0.3-2) unstable; urgency=medium

  * orphan

 -- Sandro Tosi <morph@debian.org>  Sat, 02 Mar 2024 02:34:39 -0500

pylint (3.0.3-1) unstable; urgency=medium

  [ Sandro Tosi ]
  * New upstream release; Closes: #1058718, #1058230, #1056439
  * stop building the -doc package, and so drop patches too
  * debian/pylint.install
    - delete, no longer needed
  * debian/control
    - add git, platformdirs to b-d, needed by tests
    - bump deps on astroid to >= 3.0.1; Closes: #1060894
  * update github organization from PyCQA to pylint-dev
  * debian/rules
    - re-enable some tests now fixed upstream

  [ Nicolas Boulenguez ]
  * debian/pylint.conffiles
    - remove emacs script on upgrade. Closes: #1032687

 -- Sandro Tosi <morph@debian.org>  Wed, 17 Jan 2024 02:11:07 -0500
