=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_BEFORE_TEST=rm -f {dir}/tests/functional/u/unused_typing_imports.py {dir}/tests/functional/m/missing_final_newline.py
export PYBUILD_TEST_ARGS=-vvvv \
                         -k '\
                             not test_do_not_import_files_from_local_directory \
                         ' \
                         {build_dir}/tests
export PYBUILD_AFTER_TEST=rm -rf {dir}/.pytest_cache
export PYBUILD_BEFORE_INSTALL=rm -rf {build_dir}/classes.dot

%:
	dh $@ --buildsystem pybuild --with python3

override_dh_auto_build:
	dh_auto_build

override_dh_compress:
	dh_compress -i -X.py -X.ini -X.xml -Xtest

override_dh_installexamples:
	dh_installexamples -ppylint examples/*

override_dh_installdocs:
	dh_installdocs -A README.rst

override_dh_missing:
	dh_missing --fail-missing
