## pylint 3.2.2

=== debian/changelog ===
pylint (3.2.2-2) unstable; urgency=medium

  * Bump pyastroid minimal required version to 8.2.x.

 -- Alexandre Detiste <tchet@debian.org>  Thu, 06 Jun 2024 08:04:42 +0200

pylint (3.2.2-1) unstable; urgency=medium

  [routine-update]
  * New upstream version
  * Standards-Version: 4.7.0
  * Reorder sequence of d/control fields by cme
  * Set upstream metadata fields: Security-Contact.

 -- Alexandre Detiste <tchet@debian.org>  Tue, 04 Jun 2024 21:32:06 +0200

pylint (3.1.0-2) unstable; urgency=medium

  * Adopt package (Closes: #1065241)
  * Disable 4 syntax check failing with Python 3.12

 -- Alexandre Detiste <tchet@debian.org>  Tue, 07 May 2024 08:30:17 +0200

pylint (3.1.0-1) unstable; urgency=medium

  * New upstream version 3.1.0 (Closes: #1066755)
  * disable failing test to untangle astroid migration
  * use new dh-sequence-python3

 -- Alexandre Detiste <tchet@debian.org>  Fri, 26 Apr 2024 23:12:20 +0200
