## pylint 3.2.6

=== doc/requirements.txt ===
Sphinx==7.3.7
sphinx-reredirects<1
towncrier~=23.11
furo==2024.5.6
-e .
