=== debian/changelog ===
pylint (3.2.6-1) unstable; urgency=medium

  * New upstream version 3.2.6

 -- Alexandre Detiste <tchet@debian.org>  Wed, 21 Aug 2024 12:32:33 +0200
