=== debian/control ===
--- 
+++ 
@@ -1,11 +1,14 @@
 Source: pylint
+Maintainer: Debian Python Team <team+python@tracker.debian.org>,
+Uploaders: Alexandre Detiste <tchet@debian.org>
 Section: python
+Testsuite: autopkgtest-pkg-pybuild
 Priority: optional
-Maintainer: Debian Python Team <team+python@tracker.debian.org>,
 Build-Depends: debhelper-compat (= 13),
+               dh-sequence-python3,
                pybuild-plugin-pyproject,
                python3-all,
-               python3-astroid (>= 3.0.1),
+               python3-astroid (>= 3.2.0),
                python3-dill (>= 0.3.6),
                python3-git <!nocheck>,
                python3-isort,
@@ -18,27 +21,23 @@
                python3-sphinx,
                python3-toml,
                python3-tomlkit,
-               python3-typing-extensions (>= 3.10.0),
-Standards-Version: 4.6.2.0
+               python3-typing-extensions (>= 3.10.0)
+Standards-Version: 4.7.0
+Vcs-Browser: https://salsa.debian.org/python-team/packages/pylint
+Vcs-Git: https://salsa.debian.org/python-team/packages/pylint.git
+Homepage: https://pylint.pycqa.org/
 Rules-Requires-Root: no
-Homepage: https://pylint.pycqa.org/
-Vcs-Git: https://salsa.debian.org/python-team/packages/pylint.git
-Vcs-Browser: https://salsa.debian.org/python-team/packages/pylint
-Testsuite: autopkgtest-pkg-pybuild
 
 Package: pylint
 Architecture: all
 Depends: python3-astroid (>= 3.0.1),
          python3-isort,
-         python3-logilab-common (>= 0.19.0),
+         python3-logilab-common,
          python3-setuptools,
          ${misc:Depends},
-         ${python3:Depends},
-Recommends: python3-tk,
-Suggests: python3-mccabe,
-Breaks: python3-pylint-django (<< 2.0),
-        python3-pylint-plugin-utils (<< 0.4),
-        python3-pytest-pylint (<< 0.10),
+         ${python3:Depends}
+Recommends: python3-tk
+Suggests: python3-mccabe
 Conflicts: pylint-doc
 Description: Python 3 code static checker and UML diagram generator
  Pylint is a Python source code analyzer which looks for programming
