## pylint 3.2.7

=== debian/changelog ===
pylint (3.2.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sat, 07 Sep 2024 23:08:11 +0100
