## pylint 3.3.1

=== debian/changelog ===
pylint (3.3.1-2) unstable; urgency=medium

  * Team upload.
  * Override Lintian uses-deprecated-python-stdlib tags in
    doc/data/messages/ and tests/functional/.  These files are pylint test
    input and are not actually executed (closes: #1084621).

 -- Colin Watson <cjwatson@debian.org>  Fri, 11 Oct 2024 16:27:00 +0100

pylint (3.3.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Tue, 01 Oct 2024 22:50:02 +0100
