=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: pylint
-Maintainer: Debian Python Team <team+python@tracker.debian.org>,
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Alexandre Detiste <tchet@debian.org>
 Section: python
 Testsuite: autopkgtest-pkg-pybuild
