## pylint 3.3.3

=== debian/changelog ===
pylint (3.3.3-2) unstable; urgency=medium

  * Team upload.
  * Remove runtime dependency on python3-setuptools

 -- Alexandre Detiste <tchet@debian.org>  Sun, 19 Jan 2025 13:47:33 +0100

pylint (3.3.3-1) unstable; urgency=medium

  * Team upload.

  [ Alexandre Detiste ]
  * New upstream release (3.3.2).

  [ Colin Watson ]
  * Actually override Lintian uses-deprecated-python-stdlib tags in
    doc/data/messages/ and tests/functional/ (mistakenly not done in last
    upload due to an omitted "git add").
  * New upstream release (3.3.3; closes: #1089758, #1091029).

 -- Colin Watson <cjwatson@debian.org>  Sun, 29 Dec 2024 13:18:41 +0000
