=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-sequence-python3,
                pybuild-plugin-pyproject,
                python3-all,
-               python3-astroid (>= 3.2.0),
+               python3-astroid (>= 3.3.8),
                python3-dill (>= 0.3.6),
                python3-git <!nocheck>,
                python3-isort,
@@ -33,7 +33,6 @@
 Depends: python3-astroid (>= 3.0.1),
          python3-isort,
          python3-logilab-common,
-         python3-setuptools,
          ${misc:Depends},
          ${python3:Depends}
 Recommends: python3-tk
