## pylint 3.3.4

=== debian/changelog ===
pylint (3.3.4-2) unstable; urgency=medium

  * Drop build-dep on python3-toml

 -- Alexandre Detiste <tchet@debian.org>  Wed, 14 May 2025 17:07:50 +0200

pylint (3.3.4-1) unstable; urgency=medium

  * Team upload.

  [ Alexandre Detiste ]
  * Switch to X-Style: black.

  [ Colin Watson ]
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Thu, 27 Feb 2025 11:22:28 +0000
