=== debian/control ===
Source: pylint
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Alexandre Detiste <tchet@debian.org>,
Section: python
Testsuite: autopkgtest-pkg-pybuild
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-astroid (>= 3.3.8),
 python3-dill (>= 0.3.6),
 python3-git <!nocheck>,
 python3-isort,
 python3-mccabe,
 python3-platformdirs <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-benchmark <!nocheck>,
 python3-pytest-runner <!nocheck>,
 python3-setuptools,
 python3-sphinx,
 python3-tomlkit,
 python3-typing-extensions (>= 3.10.0),
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/pylint
Vcs-Git: https://salsa.debian.org/python-team/packages/pylint.git
Homepage: https://pylint.pycqa.org/
Rules-Requires-Root: no
X-Style: black

Package: pylint
Architecture: all
Depends:
 python3-astroid (>= 3.0.1),
 python3-isort,
 python3-logilab-common,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-tk,
Suggests:
 python3-mccabe,
Conflicts:
 pylint-doc,
Description: Python 3 code static checker and UML diagram generator
 Pylint is a Python source code analyzer which looks for programming
 errors, helps enforcing a coding standard and sniffs for some code
 smells (as defined in Martin Fowler's Refactoring book)
 .
 Pylint can be seen as another PyChecker since nearly all tests you
 can do with PyChecker can also be done with Pylint. However, Pylint
 offers some more features, like checking length of lines of code,
 checking if variable names are well-formed according to your coding
 standard, or checking if declared interfaces are truly implemented,
 and much more.
 .
 Additionally, it is possible to write plugins to add your own checks.
 .
 The package also ships the following additional commands:
 .
   * pyreverse: an UML diagram generator
   * symilar: an independent similarities checker
   * epylint: Emacs and Flymake compatible Pylint
