## pylint 4.0.4

=== debian/changelog ===
pylint (4.0.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - Add Python 3.14 support (closes: #1123172).

 -- Colin Watson <cjwatson@debian.org>  Wed, 17 Dec 2025 23:36:18 +0000
