=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
  dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3-all,
- python3-astroid (>= 3.3.8),
- python3-dill (>= 0.3.6),
+ python3-astroid (>= 4.0.2),
+ python3-dill (>= 0.3.7),
  python3-git <!nocheck>,
  python3-isort,
  python3-mccabe,
@@ -33,7 +33,7 @@
 Package: pylint
 Architecture: all
 Depends:
- python3-astroid (>= 3.0.1),
+ python3-astroid (>= 4.0.2),
  python3-isort,
  python3-logilab-common,
  ${misc:Depends},
