=== debian/rules ===
--- 
+++ 
@@ -36,6 +36,12 @@
                          and not used_before_assignment \
                          ' \
                          {build_dir}/tests
+ifeq ($(PYBUILD_AUTOPKGTEST),1)
+# Expects "Using config file pylint/testutils/testing_pylintrc", gets "Using
+# config file
+# /usr/lib/python3/dist-packages/pylint/testutils/testing_pylintrc".
+PYBUILD_TEST_ARGS += --deselect tests/test_self.py::TestRunTC::test_progress_reporting
+endif
 export PYBUILD_AFTER_TEST=rm -rf {dir}/.pytest_cache
 export PYBUILD_BEFORE_INSTALL=rm -rf {build_dir}/classes.dot
