## pylint runner-0.6.0

=== requirements.txt ===
colorama
pylint
